% Jason Corso
% <jcorso@buffalo.edu> (C) 2011-2013
%  Example of how to study with this Matlab linear discriminants code.
%

% 0.  Review the loading and setting of data...
make_new_dataset
write_datafile(D,'test0.dat');

D = read_datafile('test1.dat')


% 1.  Show them the plot_debug command
plot_debug(1,D,D(:,3),rand(2,1))
plot_debug(1,D,D(:,3),rand(2,1),5)


% 2.  Batch Perceptron
%   on test0.dat first
a = perceptron(D,[0;1],1)

%   then walk through the code
%   ask why normalize

%   on test1.dat next 
a = perceptron(D,[0;1],1)

%  ask them what's going on here.

%  show the fix
a = perceptron(D,[0;1],0.0001)


% 3.  Single Sample Perceptron
%  show example and then walk through the code
a = ssperceptron(D,[0;1],0.001)


% 4.  Single Sample Relaxation With Margin
a = ssrelaxation(D,[0;1],0.01,1)


% 5.  MSE
D = read_datafile('test0.dat')
a = mse(D,1)
D = read_datafile('test1.dat')
a = mse(D,1)




% 6.  Special Case...
D = read_datafile('special.dat');

a1 = perceptron(D,[1;0],0.01)
a2 = mse(D,1)

plot_debug(1,D,D(:,3),a1); title('perceptron');
plot_debug(2,D,D(:,3),a2); title('mse');



